SPIP 2.0

La nouvelle version stable de SPIP

Découvrez la liste des nouveautés de cette version dans la documentation officielle : SPIP 2.0.

Vous pouvez aussi lire ces deux articles de Matthieu Marcillaud, très bien écrits (n’hésitez pas à adresser des commentaires sur son article si vous avez des compléments ou remarques à ajouter mais pas pour débugguer votre SPIP 2.0) : SPIP 2 se prépare et SPIP 2 se prépare (suite).

Et nous vous recommandons aussi la lecture de ce billet de Valéry : SPIP 2.0 : tout change et rien ne change.

La migration

On rappelle les règles de prudence pour une montée de version majeure (depuis une version 1.9.x vers la version 2.0, par exemple) :

  1. sauvegarder sa base de données au préalable
  2. tester la mise à jour sur une copie du site en ligne, et pas directement sur le site que voient vos visiteurs
  3. renommer les dossiers plugins/ squelettes/
  4. Vous connecter dans l’espace privé pour faire la mise à jour demandée

Si tout va bien à ce stade, vous pouvez ensuite :

  1. remettre votre dossier squelettes/ en veillant à en retirer tout formulaire personnalisé présent dans le sous-dossier formulaires/
  2. télécharger les mises à jour des plugins pour SPIP 2.0, que vous pourrez trouver ici par exemple : Flux des plugins
  3. remettre votre dossier plugins/
  4. réactiver progressivement vos plugins

Nous vous conseillons la prudence en ce qui concerne la réutilisation de plugin qui n’auraient pas été mis à jour pour SPIP 2.0 : les changements étant nombreux, il y a peu de plugins qui peuvent fonctionner sans correction pour cette nouvelle version.

Téléchargement

Téléchargez l’archive ou le spip-loader la page de téléchargement du site officiel.

En cas de problèmes

En cas de soucis lors de l’installation ou lors de la migration, utilisez la liste des utilisateurs spip@rezo.net ou la liste des développeurs spip-dev@rezo.net si vous pensez que le problème vient d’un bug de cette version 2.0.

Donnez votre avis

Vous adorez cette nouvelle version ? Vous êtes agacé par certains défauts ? Dites le ci-dessous pour nous permettre de savoir quelles orientations donner à nos développements pour la prochaine version.

Merci de n’utiliser ce forum que pour donner votre avis. Pour le support, utilisez la liste des utilisateurs spip@rezo.net ou la liste des développeurs spip-dev@rezo.net si vous pensez que le problème vient d’un bug de cette version 2.0.

Vous pouvez aussi utiliser le forum public officiel sur http://forum.spip.org/

Discussion

17 discussions

  • dans spip_loader.php, quand tu édites le fichier, tu trouveras les lignes

    # auteur(s) autorise(s) a proceder aux mises a jour : ’1:2:3’
    define(’_SPIP_LOADER_UPDATE_AUTEURS’, ’11:2’) ;

    moi j’ai mis 11 et 2 car ce sont les auteurs que j’ai autorisé à lancer la mise à jour.

    J’ai du aussi mettre les valeurs plus bas vers la ligne 650

    if(!defined(_SPIP_LOADER_UPDATE_AUTEURS))
    define(’_SPIP_LOADER_UPDATE_AUTEURS’, ’11:2’) ;

    Ce qui est par contre un peu étrange car ce n’est plus dans la partie configuration...

    l’id_auteur est l’identifiant de cette auteur pour la base de données... pour le connaitre tu peux aller sur la page de l’auteur en question dans le backend et l’id_auteur devrait aparaitre dans l’URL.

    Répondre à ce message

  • 1

    J’ai eu ce message un moment, en fait il faut éditer le fichier spip_loader.php et ajouter ton id_auteur parmis ceux de la liste dans la configuration (seul l’auteur avec id_auteur=1 est autorisé par défaut).

    Sinon j’ai eu aussi des problèmes car je ne donnais pas les droits d’écriture à apache sur certains dossiers.

    J’espère que ça t’aidera.

    • Merci de ta réponse, mais je n’ai pas très bien compris. Qu’est ce que l’id_auteur ? si je met id_auteur =1, ça ne fonctionne pas. Donc je suppose que c’est MON id_auteur ? mais est ce mon pseudo de connexion en tant qu’auteur ou en tant qu’administrateur, et comment l’insérer dans spip_loader ?

      merci encore
      Gege

    Répondre à ce message

  • Bonjour,

    J’ai perdu pas mal de temps à remettre la mutualisation après mon update de la 1.9.2 à la 2.0 .

    En effet sur l’article qui explique les fonctionnalités de la version 2.0 , on renvoie vers un article qui explique la mise en place de la mutualisation pour les versions antérieures (cet article).

    Pourtant, la structure des répertoires a changé et le répertoire /dist devient /prive, ce qui n’est précisé nulle part à ma connaissance ni pris en compte dans les extraits de code (ou alors j’ai été mal aiguillé). Je ne pouvais donc plus utiliser le formulaire pour me connecter dans l’espace privé, et j’ai mis un certain temps à comprendre l’erreur.

    La solution est donc de remplacer le morceau de code ’dist/ :’ par ’prive/ :’

    Répondre à ce message

  • bonjour,

    j’ai essayé de mettre à jour mon site spip 1.9.2f avec spip loader mais j’obtiens un message du genre :

    « Vous n’avez pas accès à cette page. »

    Savez vous d’ou cela peut venir ?

    Merci d’avance et bonne année à tous !

    Répondre à ce message

  • Bonne Année à tous et toutes,

    Dans la version SPIP 1.9.2.g j’avais indiqué une couleur pour i.spip dans mon_style.css de façon à faire ressortir les italiques dans cette couleur (différentes selon mes sites ).

    Dans la version SPIP 2.01 l’indication d’une couleur pour i.spip n’est pas pris en compte.

    Où dois je modifier la couleur pour l’utilisation de l’italique ?

    Danièle LV

    Répondre à ce message

  • 1

    Je’essaye vainement de mettre à jour depuis une version 1.9 j’obtiens le debug suivant

    Erreur(s) dans le squelette
    1 Aucun squelette ’sommaire’ n’est disponible...
    2 Erreur de compilation
    3 Aucun squelette ’404’ n’est disponible...
    4 Erreur de compilation
    5 Aucun squelette ’formulaires/administration’ n’est disponible...

    quelqu’un a une idée pour le résoudre ?

    merci d’avance Francois

    • Il s’agissait d’un mauvais transfert FTP et d’un fichier corrompu . Mes excuses

    Répondre à ce message

  • Kristoff23

    J’ai eu la réponse à ma question : on ne peut faire cohabiter deux différentes versions de spip sur une même base de données .

    J’ai juste un problème de spip-loader à résoudre : ça n’a pas l’air de fonctionner comme avec l’installation du spip 1.9.2 que j’avais faite .J’installe spip_loader et rien ne se passe .

    Répondre à ce message

  • Bravo pour la version 2.0, tant attendue et bienvenue.

    Il serait bon pour la prochaine version de se concentrer sur la partie « exploitation en Intranet » de SPIP, notamment en implémentant des fonctions de sécurité et d’accès aux fichiers et documents plus souple.

    Voir la discussion récente sur le plugin Accès Restreint ici : http://www.spip-contrib.net/Acces-restreint-V2-les-objectifs

    L’accès direct potentiel à certains fichiers via l’URL n’est pas sans poser quelques soucis de sécurité sur les Intranets.

    A+

    Répondre à ce message

  • Kristoff23

    Suite à la contribution de Corrobori du 15/12 , je me pose la question d’une mise à jour sous SPIP 2.0 sans danger en utilisant le clônage de son site .

    Est—il possible de créer un nouveau site en utilisant une base de donnée déjà existante , une nouvelle version de SPIP et une nouvelle adresse ? Il serait possible ainsi de faire cohabiter la version en cours de mise-à-jour et l’ancienne version durant les travaux .

    J’ai bien noté que Corrobori parle d’ « Effacer le fichier connect.php » . J’imagine qu’il doit y avoir des restrictions et des précautions à prendre .

    Je veux bien tenter le coup mais sans mettre mes sites en péril .

    Répondre à ce message

  • 3

    Hélas... Toujours pas de wysiwyg, et le mainteneur du plugin FCKEditor abandonne Spip pour Joomla.

    C’est vraiment le manque le plus criant de Spip, il n’y avait qu’à voir le soulagement des clients à qui l’on installait ce plugin.

    Pourquoi donc « forcer » les utilisateurs à utiliser ces accolades obsolètes, ces sauts de lignes bizarres et ces tableaux inmaintenables ? Pour se « concentrer sur le sens » et « utiliser les règles de la typographie française » ? Pitié...

    • Le débat sur l’opportunité du Wysiwyg est vieux comme la souris, et le taux de participation à Wikipédia est là pour montrer que les accolades ne rebutent pas tant que ça l’internaute moyen. Par ailleurs SPIP applique automatiquement les règles de typographie, la tentative d’explication est donc quelque peu à côté de la plaque. Quant au plugin mentionné, l’intérêt du libre est que tout le monde peut reprendre du code et le faire évoluer : go on.

    • J'abonde pour partie dans le sens de Déesse A.
      
      Dans le principe, ajouter des raccourcis typo revient à "tager" un documents. On peut vouloir étendre le système de "tags" et l'utilisateur de  SPIP ne devrait pas être géné en cela.
      
      ces tags ne sont pas nécessairement "WYS" car leurs objectifs n'e sont pas necessairement la représentation.
      
      Plutot q'un outil "Wysiwyg" la possibilité de selectionner des tags et de former un modele autour d'un morceau de texte
      
      <decrire
      |ici le texte
      intertitre_niveau=3
      |gras=oui
      |italique=oui
      |tags=tag1,tag2,tag3,tag4>

    Répondre à ce message

Ajouter un commentaire

Qui êtes-vous ?

Pour afficher votre trombine avec votre message, enregistrez-la d’abord sur gravatar.com (gratuit et indolore) et n’oubliez pas d’indiquer votre adresse e-mail ici.

Ajoutez votre commentaire ici

Ce champ accepte les raccourcis SPIP {{gras}} {italique} -*liste [texte->url] <quote> <code> et le code HTML <q> <del> <ins>. Pour créer des paragraphes, laissez simplement des lignes vides.

Ajouter un document

Suivre les commentaires : RSS 2.0 | Atom

Dernière modification de cette page le 16 décembre 2008